Votre Nom il y a 1 an
Parent
commit
e48a2bf580
1 fichiers modifiés avec 8 ajouts et 5 suppressions
  1. 8 5
      other_arch/alma.sh

+ 8 - 5
other_arch/alma.sh

@@ -1,6 +1,6 @@
 #!/bin/bash
 set -e
-Version=2.9
+Version=3.0.0
 
 #if (( $EUID != 0 )); then
 #   echo -e "$(tput setaf 11)This must be run as root. Try 'sudo $0'.$(tput sgr0)"
@@ -205,18 +205,21 @@ echo -e "\nDone"
 function drive_ {
 echo -e "$(tput setaf 10)\nBuild folder and mount drives:$(tput sgr0)"
 if ! [ -r /ramdisk/ ];then sudo mkdir /ramdisk/ ;fi
+if ! [ -r /raid/ ];then sudo mkdir /raid/ ;fi
+if ! [ -r /store/ ];then sudo mkdir /store/ ;fi
+if ! [ -r /temp/ ];then sudo mkdir /temp/ ;fi
 if ! grep "tmpfs /ramdisk tmpfs defaults,size=110G 0 0" /etc/fstab >/dev/null
+
 then
 cp /etc/fstab /tmp/fstab
 cat <<'EOF'>> /tmp/fstab
 tmpfs /ramdisk tmpfs defaults,size=110G 0 0
-UUID=bb011630-398c-4025-bfb6-0fcfbc7c6b7f /raid xfs nofail,defaults,noatime,nodiratime    0    0
-UUID=3fb4be86-702c-4af9-9706-da9ac33f6236 /store xfs nofail,defaults,noatime,nodiratime    0    0
+UUID=46391a14-63ec-4b59-824e-789d2945d8c1 /raid xfs nofail,defaults,noatime,nodiratime    0    0
+UUID=185a6ef0-f15b-431f-ab16-328050295ea1 /temp xfs nofail,defaults,noatime,nodiratime    0    0
+UUID=52080b57-ae47-4cd2-81b2-d82c269b03b0 /store xfs nofail,defaults,noatime,nodiratime    0    0
 EOF
 sudo cp /tmp/fstab /etc/fstab
 fi
-if [ ! -r /raid/ ];then sudo mkdir /raid/;fi
-if [ ! -r /store/ ];then sudo mkdir /store/;fi
 #sudo mount /raid
 #sudo mount /store
 #sudo chmod 777 /raid